## puppet-module-ceph 3.1.1

=== doc/requirements.txt ===
# This is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
openstackdocstheme>=1.30.0 # Apache-2.0

# This is required for the releasenotes build jobs
reno>=2.5.0 # Apache-2.0

## puppet-module-ceph 2.5.0

=== debian/changelog ===
puppet-module-ceph (2.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #894728)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Apr 2018 17:51:41 +0200

=== debian/control ===
Source: puppet-module-ceph
Section: admin
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-ceph
Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-ceph.git
Homepage: https://github.com/openstack/puppet-ceph

Package: puppet-module-ceph
Architecture: all
Depends:
 puppet-common,
 puppet-module-duritong-sysctl,
 puppet-module-keystone (>= 12.3.0),
 puppet-module-openstacklib (>= 12.3.0),
 puppet-module-puppetlabs-apache,
 puppet-module-puppetlabs-apt,
 puppet-module-puppetlabs-inifile,
 puppet-module-puppetlabs-stdlib,
 puppet-module-puppetlabs-concat,
 ${misc:Depends},
Description: Puppet module for Ceph
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 This module manages both the installation and configuration of the Ceph
 distributed storage system.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-ceph.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## puppet-module-ceph 3.1.1

=== debian/changelog ===
puppet-module-ceph (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 17:34:48 +0100

puppet-module-ceph (2.5.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0.
  * Depends on puppet, not puppet-common.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 09:46:00 +0100

puppet-module-ceph (2.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 build-depends (Closes: #937345).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 15:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: puppet-module-ceph
 Section: admin
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
-Standards-Version: 4.1.3
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-ceph
 Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-ceph.git
 Homepage: https://github.com/openstack/puppet-ceph
@@ -18,15 +18,15 @@
 Package: puppet-module-ceph
 Architecture: all
 Depends:
- puppet-common,
+ puppet,
  puppet-module-duritong-sysctl,
  puppet-module-keystone (>= 12.3.0),
  puppet-module-openstacklib (>= 12.3.0),
  puppet-module-puppetlabs-apache,
  puppet-module-puppetlabs-apt,
+ puppet-module-puppetlabs-concat,
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
- puppet-module-puppetlabs-concat,
  ${misc:Depends},
 Description: Puppet module for Ceph
  Puppet lets you centrally manage every important aspect of your system using a

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-ceph.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/puppet-ceph/tags .*/(\d[\d\.]+)\.tar\.gz
